<?php

// $Id$


function Rutoken_GetIntegrationScript($params) {
	$javascript_included = false;
	
	$output = "\n\n<!-- Rutoken Integration Begin -->\n";
	
	if (empty ( $params ['session_id'] ))
		$params ['session_id'] = '9999';
	
	if (! $params ['user_logged']) {
		if (! empty ( $_COOKIE ['rutoken_disabled_id'] )) {
			$output .= '<script type="text/javascript">' . "\n" . 'document.cookie = "rutoken_disabled_id=; path=/;";' . "\n" . '</script>' . "\n";
		}
	}
	
	// Зарегистрированы
	if (! empty ( $params ['attach_url'] ) && $params ['user_logged']) {
		if (! $javascript_included) {
			$output .= '<script type="text/javascript" src="' . $params ['rutoken_url'] . 'rutoken.js"></script>' . "\n";
			$output .= '<script type="text/javascript" src="' . $params ['rutoken_url'] . 'rutoken_integrate.js"></script>' . "\n";
			$javascript_included = true;
		}
		$output .= '<script type="text/javascript">' . "\n";
		$output .= 'logout_url = "' . $params ['logout_url'] . '";' . "\n";
		$output .= 'user_logged = "' . $params ['user_logged'] . '";' . "\n";
		$output .= 'user_rutoken_id = "' . $params ['user_rutoken_id'] . '";' . "\n";
		
		
		$output .= 'rutoken_session_id = "' . $params ['session_id'] . '";' . "\n";
		$output .= 'rutoken_attach_url = "' . $params ['attach_url'] . '";' . "\n";
		$output .= 'url_com_rutoken = "' . $params ['com_rutoken_url'] . '";' . "\n";


		$output .= 'user_login = "' . $params ['user_login'] . '";' . "\n";
		if (isset ( $params ['str_attach_ask'] ))
			$output .= 'RUTOKEN_STR_ATTACH_ASK = "' . $params ['str_attach_ask'] . '";' . "\n";
		if (isset ( $params ['str_attach_success'] ))
			$output .= 'RUTOKEN_STR_ATTACH_SUCCESS = "' . $params ['str_attach_success'] . '";' . "\n";
		if (isset ( $params ['str_attach_failed'] ))
			$output .= 'RUTOKEN_STR_ATTACH_FAILED = "' . $params ['str_attach_failed'] . '";' . "\n";
		if (isset ( $params ['str_reattach_success'] ))
			$output .= 'RUTOKEN_STR_REATTACH_SUCCESS = "' . $params ['str_reattach_success'] . '";' . "\n";
		if (isset ( $params ['str_reattach_failed'] ))
			$output .= 'RUTOKEN_STR_REATTACH_FAILED = "' . $params ['str_reattach_failed'] . '";' . "\n";			
		if (isset ( $params ['rutoken_confirm_remove'] ))
			$output .= 'RUTOKEN_CONFIRM_REMOVE = "' . $params ['rutoken_confirm_remove'] . '";' . "\n";	
		if (isset ( $params ['rutoken_confirm_delete'] ))
			$output .= 'RUTOKEN_CONFIRM_DELETE = "' . $params ['rutoken_confirm_delete'] . '";' . "\n";
		if (isset ( $params ['rutoken_confirm_rename'] ))
			$output .= 'RUTOKEN_CONFIRM_RENAME = "' . $params ['rutoken_confirm_rename'] . '";' . "\n";
		if (isset ( $params ['rutoken_confirm_iskey'] ))
			$output .= 'RUTOKEN_CONFIRM_ISKEY = "' . $params ['rutoken_confirm_iskey'] . '";' . "\n";
		
		$output .= 'var str_image_yes_attach_text = \'' . $params['image_yes_attach_text']. '\';' . "\n";	
		$output .= 'var str_image_not_attach_text = \'' . $params['image_not_attach_text']. '\';' . "\n";
		
		$output .= 'hostname_str = "' . RutokenGetHostName().'";' . "\n";
		
		$output .= '</script>' . "\n";
	}
	
	// Не зарегистрированы
	if (isset ( $params ['loginname_path'] )) {
		if (! $javascript_included) {
			$output .= '<script type="text/javascript" src="' . $params ['rutoken_url'] . 'rutoken.js"></script>' . "\n";
			$output .= '<script type="text/javascript" src="' . $params ['rutoken_url'] . 'rutoken_integrate.js"></script>' . "\n";
			//JHTML::script('', '', true);
			$javascript_included = true;
		}
		$output .= '<script type="text/javascript">' . "\n";
		$output .= 'rutoken_artwork_path = "' . $params ['rutoken_url'] . '";' . "\n";
		$output .= 'rutoken_random_url = "' . $params ['url_random'] . '";' . "\n";
		//$output .= 'url_com_rutoken = "' . $params ['com_rutoken_url'] . '";' . "\n";
		$output .= 'rutoken_loginname_path = ' . $params ['loginname_path'] . ';' . "\n";
		$output .= 'rutoken_password_path = ' . $params ['password_path'] . ';' . "\n";
		$output .= 'rutoken_hidden_path = ' . $params ['hidden_path'] . ';' . "\n";
		$output .= 'var button_enter = ' . $params ['button_enter'] . ';' . "\n";
		$output .= 'rutoken_loginform_name = ' . $params ['loginform_name'] . ';' . "\n";
		$output .= 'rutoken_promo_url = "https://www.rutokenweb.ru/download/webtoken.exe"' . "\n";
		$output .= 'var input_login = "' . __('RUTOKEN_INPUT_LOGIN') . '";'. "\n";		
		
		if (isset ( $params ['show_unplugged'] ))
			$output .= 'rutoken_show_unplugged = "' . $params ['show_unplugged'] . '";' . "\n";
		if (isset ( $params ['image_xoffset'] ))
			$output .= 'rutoken_image_xoffset = "' . $params ['image_xoffset'] . '";' . "\n";
		if (isset ( $params ['image_yoffset'] ))
			$output .= 'rutoken_image_yoffset = "' . $params ['image_yoffset'] . '";' . "\n";
		if (isset ( $params ['loginname_width_offset'] ))
			$output .= 'rutoken_loginname_width_offset = "' . $params ['loginname_width_offset'] . '";' . "\n";
		if (isset ( $params ['str_not_install'] ))
			$output .= 'RUTOKEN_STR_NOT_INSTALL = "' . $params ['str_not_install'] . '";' . "\n";
		if (isset ( $params ['str_unplugged'] ))
			$output .= 'RUTOKEN_STR_UNPLUGGED = "' . $params ['str_unplugged'] . '";' . "\n";
		if (isset ( $params ['str_plugged'] ))
			$output .= 'RUTOKEN_STR_PLUGGED = "' . $params ['str_plugged'] . '";' . "\n";
		if (isset ( $params ['str_error_pin'] ))
			$output .= 'RUTOKEN_STR_ERROR_PIN = "' . $params ['str_error_pin'] . '";' . "\n";
		if (isset ( $params ['rutoken_repair_label'] ))
			$output .= 'RUTOKEN_REPAIR_LABEL = "' . $params ['rutoken_repair_label'] . '";' . "\n";
		$output .= 'var LOGIN ="' . __('LOGIN'). '"' . "\n";	
			
		$output .= 'passwd_repair = "' . $params ['passwd_repair'] . '";' . "\n";
		$output .= 'token_repait = "' . $params ['token_repait'] . '";' . "\n";
		$output .= 'url_token_repair = "' . $params ['url_token_repair'] . '";' . "\n";
		$output .= 'url_passwd_repair = "";' . "\n";
		
		$output .= 'var LOGIN_WITH_RUTOKEN = "'. __( 'Войти, используя Рутокен Web' ) .'";' . "\n";
		$output .= 'var NORMAL_LOGIN = "'. __( 'Вернуться к обычной авторизации' ) .'";' . "\n";
		
		$output .= 'hostname_str = "' . RutokenGetHostName().'";' . "\n";
		
		$output .= 'rutoken_login_integrate();' . "\n";
		
		$output .= '</script>' . "\n";
	}
	
	$output .= "<!-- Rutoken Integration End -->\n\n";
	
	return $output;
}

function RutokenGetHostName(){
	$hostname = getenv("HTTP_HOST");
	$arrayHostname = explode('.', $hostname);
	if (count($arrayHostname) > 2)
		$hostname = $arrayHostname[count($arrayHostname)-2] . '.' .$arrayHostname[count($arrayHostname)-1];
	return $hostname;
}
?>